<script language="javascript">
  // Funções para tratamento dos Eventos
  function key_Press(evt)
  {
    var objectID = getObjEvento(evt);
    var hr = new Date();
    var cod = evt.keyCode;

    evtKEY_H = hr.getHours();
    evtKEY_M = hr.getMinutes();
    evtKEY_S = hr.getSeconds();
    //alert('KeyPress: ' + objectID );
    //alert('KeyPress');
    
    var domOBJ = findDOM( objectID, 0 );
    var tipoDado = domOBJ.getAttribute('tipoDado');
    
    if ( tipoDado != null )
    {
      switch( tipoDado )
      {
        case 'alfa':
          if ( (cod < 65 || cod > 90) &&
               (cod < 97 || cod > 122) )
          {
            evt.returnValue = false;
          }
          break;
        case 'alfanum':
          if ( (cod < 65 || cod > 90) &&
               (cod < 97 || cod > 122) &&
               (cod < 48 || cod > 57) &&
               (cod < 43 || cod > 46) )
          {
            evt.returnValue = false;
          }
          break;
        case 'texto':
          //alert(cod);
          break;
        case 'inteiro':
          if ( (cod < 48 || cod > 57) && cod != 45 )
          {
            evt.returnValue = false;
          }
          break;
      }// End switch()
    }
  }

  function key_Up( evt )
  {
    //alert( 'Up' );
  }
  function key_Down( evt )
  {
    var cod = window.event.keyCode;
    
    if( cod == 46 || cod == 110 )
    {
      if( objSELECTED != '' && objSELECTED != 'page1' )
      {
        //alert( objSELECTED );
        set_flag_DEL();
        event.returnValue = false;
      }else
      {
        //alert( 'Down: ' + cod );
      }
    }
  }

</script>
